# IRiStackView Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | OpenPanel ([in] BSTR bszPanelRoot,[in] BSTR bszPivotRoot,[in] RtPanelViewType dwPanelType,[in] LONG lAspect,[in] RtDWORD dwMode,[in] RtHistoryType dwStackViewAspect,[in] RtBool bSwitchStackViewAspect)
HRESULT | AddPanelToCurrSelection ([in] BSTR bszPanelRoot,[in] LONG lAspect,[in] RtPanelViewType dwPanelType,[in] RtBool bAllowMoreSamePanels,[in] RtBool bSwitchStackViewAspect)
HRESULT | AddPanelToPreferences ([in] BSTR bszPanelRoot,[in] LONG lAspect,[in] RtPanelViewType dwPanelType,[in] RtBool bAllowMoreSamePanels,[in] RtBool bSwitchStackViewAspect)
HRESULT | AddPanelToAutopanels ([in] BSTR bszPanelRoot,[in] LONG lAspect,[in] RtPanelViewType dwPanelType,[in] RtBool bAllowMoreSamePanels,[in] RtBool bSwitchStackViewAspect)
HRESULT | InsertPanelToCurrSelection ([in] BSTR bszPanelRoot,[in] BSTR bszPivotRoot,[in] LONG lAspect,[in] RtPanelViewType dwPanelType,[in] RtBool bAllowMoreSamePanels,[in] RtBool bSwitchStackViewAspect)
HRESULT | InsertPanelToPreferences ([in] BSTR bszPanelRoot,[in] BSTR bszPivotRoot,[in] LONG lAspect,[in] RtPanelViewType dwPanelType,[in] RtBool bAllowMoreSamePanels,[in] RtBool bSwitchStackViewAspect)
HRESULT | InsertPanelToAutopanels ([in] BSTR bszPanelRoot,[in] BSTR bszPivotRoot,[in] LONG lAspect,[in] RtPanelViewType dwPanelType,[in] RtBool bAllowMoreSamePanels,[in] RtBool bSwitchStackViewAspect)
HRESULT | RemovePanels ([in] RtPanelViewType dwPanelType,[in] RtHistoryType dwStackViewAspect,[in] RtBool bSwitchStackViewAspect)
HRESULT | RemovePanelsFromCurrSelection ([in] RtPanelViewType dwPanelType,[in] RtBool bSwitchStackViewAspect)
HRESULT | RemovePanelsFromPreferences ([in] RtPanelViewType dwPanelType,[in] RtBool bSwitchStackViewAspect)
HRESULT | RemovePanelsFromAutopanels ([in] RtPanelViewType dwPanelType,[in] RtBool bSwitchStackViewAspect)
HRESULT | SwitchStackViewAspect ([in] RtHistoryType dwStackViewAspect)
HRESULT | OpenSubPanels ([in] BSTR bsRoot,[in] RtHistoryType dwStackViewAspect,[in] RtLong lDepth,[in] RtDWORD dwFlags)
HRESULT | SetPanelExportInfo ([in] BSTR bsRoot,[in] BSTR bsAspect,[in] RtBool bState,[in] RtLong lExportLevel)
HRESULT | GetPanelExportInfo ([in] BSTR bsRoot,[in] RtUlong uAspect,[out, retval] VARIANT *pvRetInfo)

## Detailed Description

The IRiStackView interface provides methods that allow you work with panels in the Stack View.

Root-level name in the scripting engine's name space: RsStackView

## Member Function Documentation

HRESULT IRiStackView::OpenPanel | ( | [in] BSTR | bszPanelRoot,
|  | [in] BSTR | bszPivotRoot,
|  | [in] RtPanelViewType | dwPanelType,
|  | [in] LONG | lAspect,
|  | [in] RtDWORD | dwMode,
|  | [in] RtHistoryType | dwStackViewAspect,
|  | [in] RtBool | bSwitchStackViewAspect |
| ) |  |  |

Open single panel in stack view

Parameters:

  | bszPanelRoot | - root of added panel
  | bszPivotRoot | - root of pivot - referenced panel, works with replace or insert mode, not used for every mode
  | dwPanelType | - panel view type
  | lAspect | - index of panel aspect, selected after panel opening
  | dwMode | - mode for opening
  | dwStackViewAspect | - history type of stack view aspect
  | bSwitchStackViewAspect | - if true, open stack view aspect automatically

See also:
  RtPanelViewType RtHistoryType

HRESULT IRiStackView::AddPanelToCurrSelection | ( | [in] BSTR | bszPanelRoot,
|  | [in] LONG | lAspect,
|  | [in] RtPanelViewType | dwPanelType,
|  | [in] RtBool | bAllowMoreSamePanels,
|  | [in] RtBool | bSwitchStackViewAspect |
| ) |  |  |

Add panel to current selection ('Panels') aspect of stack view

Parameters:

  | bszPanelRoot | - root of added panel
  | lAspect | - index of panel aspect, selected after panel opening
  | dwPanelType | - panel view type
  | bAllowMoreSamePanels | - if true, allow more panels of same panel
  | bSwitchStackViewAspect | - if true, open stack view aspect automatically

See also:
  RtPanelViewType

  AddPanelToPreferences

  AddPanelToAutopanels

HRESULT IRiStackView::AddPanelToPreferences | ( | [in] BSTR | bszPanelRoot,
|  | [in] LONG | lAspect,
|  | [in] RtPanelViewType | dwPanelType,
|  | [in] RtBool | bAllowMoreSamePanels,
|  | [in] RtBool | bSwitchStackViewAspect |
| ) |  |  |

Add panel to preferences ('Settings') aspect of stack view

Parameters:

  | bszPanelRoot | - root of added panel
  | lAspect | - index of panel aspect, selected after panel opening
  | dwPanelType | - panel view type
  | bAllowMoreSamePanels | - if true, allow more panels of same panel
  | bSwitchStackViewAspect | - if true, open stack view aspect automatically

See also:
  RtPanelViewType

  AddPanelToCurrSelection

  AddPanelToAutopanels

HRESULT IRiStackView::AddPanelToAutopanels | ( | [in] BSTR | bszPanelRoot,
|  | [in] LONG | lAspect,
|  | [in] RtPanelViewType | dwPanelType,
|  | [in] RtBool | bAllowMoreSamePanels,
|  | [in] RtBool | bSwitchStackViewAspect |
| ) |  |  |

Add panel to auto panels ('Panels') aspect of stack view

Parameters:

  | bszPanelRoot | - root of added panel
  | lAspect | - index of panel aspect, selected after panel opening
  | dwPanelType | - panel view type
  | bAllowMoreSamePanels | - if true, allow more panels of same panel
  | bSwitchStackViewAspect | - if true, open stack view aspect automatically

See also:
  RtPanelViewType

  AddPanelToCurrSelection

  AddPanelToPreferences

HRESULT IRiStackView::InsertPanelToCurrSelection | ( | [in] BSTR | bszPanelRoot,
|  | [in] BSTR | bszPivotRoot,
|  | [in] LONG | lAspect,
|  | [in] RtPanelViewType | dwPanelType,
|  | [in] RtBool | bAllowMoreSamePanels,
|  | [in] RtBool | bSwitchStackViewAspect |
| ) |  |  |

Insert panel to current selection ('Panels') aspect of stack view before panel specified by pivot

Parameters:

  | bszPanelRoot | - root of inserted panel
  | bszPivotRoot | - root of pivot panel
  | lAspect | - index of panel aspect, selected after panel opening
  | dwPanelType | - panel view type
  | bAllowMoreSamePanels | - if true, allow more panels of same panel
  | bSwitchStackViewAspect | - if true, open stack view aspect automatically

See also:
  RtPanelViewType

  InsertPanelToPreferences

  InsertPanelToAutopanels

HRESULT IRiStackView::InsertPanelToPreferences | ( | [in] BSTR | bszPanelRoot,
|  | [in] BSTR | bszPivotRoot,
|  | [in] LONG | lAspect,
|  | [in] RtPanelViewType | dwPanelType,
|  | [in] RtBool | bAllowMoreSamePanels,
|  | [in] RtBool | bSwitchStackViewAspect |
| ) |  |  |

Insert panel to preferences ('Settings') aspect of stack view before panel specified by pivot

Parameters:

  | bszPanelRoot | - root of inserted panel
  | bszPivotRoot | - root of pivot panel
  | lAspect | - index of panel aspect, selected after panel opening
  | dwPanelType | - panel view type
  | bAllowMoreSamePanels | - if true, allow more panels of same panel
  | bSwitchStackViewAspect | - if true, open stack view aspect automatically

See also:
  RtPanelViewType

  InsertPanelToCurrSelection

  InsertPanelToAutopanels

HRESULT IRiStackView::InsertPanelToAutopanels | ( | [in] BSTR | bszPanelRoot,
|  | [in] BSTR | bszPivotRoot,
|  | [in] LONG | lAspect,
|  | [in] RtPanelViewType | dwPanelType,
|  | [in] RtBool | bAllowMoreSamePanels,
|  | [in] RtBool | bSwitchStackViewAspect |
| ) |  |  |

Insert panel to auto panels ('Panels') aspect of stack view before panel specified by pivot

Parameters:

  | bszPanelRoot | - root of inserted panel
  | bszPivotRoot | - root of pivot panel
  | lAspect | - index of panel aspect, selected after panel opening
  | dwPanelType | - panel view type
  | bAllowMoreSamePanels | - if true, allow more panels of same panel
  | bSwitchStackViewAspect | - if true, open stack view aspect automatically

See also:
  RtPanelViewType

  InsertPanelToCurrSelection

  InsertPanelToPreferences

HRESULT IRiStackView::RemovePanels | ( | [in] RtPanelViewType | dwPanelType,
|  | [in] RtHistoryType | dwStackViewAspect,
|  | [in] RtBool | bSwitchStackViewAspect |
| ) |  |  |

Remove specific type of panels from specified stack view aspect

Parameters:

  | dwPanelType | - panel view type
  | dwStackViewAspect | - stack view aspect history type
  | bSwitchStackViewAspect | - if true, open stack view aspect automatically

See also:
  RtPanelViewType

  RtHistoryType

  RemovePanelsFromCurrSelection

  RemovePanelsFromPreferences

  RemovePanelsFromAutopanels

HRESULT IRiStackView::RemovePanelsFromCurrSelection | ( | [in] RtPanelViewType | dwPanelType,
|  | [in] RtBool | bSwitchStackViewAspect |
| ) |  |  |

Remove specific type of panels from current selection ('Panels') stack view aspect

Parameters:

  | dwPanelType | - panel view type
  | bSwitchStackViewAspect | - if true, open stack view aspect automatically

See also:
  RtPanelViewType

  RemovePanels

  RemovePanelsFromPreferences

  RemovePanelsFromAutopanels

HRESULT IRiStackView::RemovePanelsFromPreferences | ( | [in] RtPanelViewType | dwPanelType,
|  | [in] RtBool | bSwitchStackViewAspect |
| ) |  |  |

Remove specific type of panels from preferences ('Settings') stack view aspect

Parameters:

  | dwPanelType | - panel view type
  | bSwitchStackViewAspect | - if true, open stack view aspect automatically

See also:
  RtPanelViewType

  RemovePanels

  RemovePanelsFromCurrSelection

  RemovePanelsFromAutopanels

HRESULT IRiStackView::RemovePanelsFromAutopanels | ( | [in] RtPanelViewType | dwPanelType,
|  | [in] RtBool | bSwitchStackViewAspect |
| ) |  |  |

Remove specific type of panels from preferences ('Settings') stack view aspect

Parameters:

  | dwPanelType | - panel view type
  | bSwitchStackViewAspect | - if true, open stack view aspect automatically

See also:
  RtPanelViewType

  RemovePanels

  RemovePanelsFromCurrSelection

  RemovePanelsFromPreferences

HRESULT IRiStackView::SwitchStackViewAspect | ( | [in] RtHistoryType | dwStackViewAspect | ) |

Switch Stack View Aspect

Parameters:

  | dwStackViewAspect | - History type of stack view aspect that should be switched

See also:
  RtHistoryType

HRESULT IRiStackView::OpenSubPanels | ( | [in] BSTR | bsRoot,
|  | [in] RtHistoryType | dwStackViewAspect,
|  | [in] RtLong | lDepth,
|  | [in] RtDWORD | dwFlags |
| ) |  |  |

Open sub panels of panel specified by bsRoot parameter

Parameters:

  | bsRoot | - root of main panel
  | dwStackViewAspect | - if true, open stack view aspect automatically
  | lDepth | - depth of recursion for sub panels opening, value -1 mean no limitation
  | dwFlags | - specifies if command have to work with sub panel or with exported panels or with both.

See also:
  RtHistoryType

HRESULT IRiStackView::SetPanelExportInfo | ( | [in] BSTR | bsRoot,
|  | [in] BSTR | bsAspect,
|  | [in] RtBool | bState,
|  | [in] RtLong | lExportLevel |
| ) |  |  |

Set Panel export Info for specific panel and aspect

Parameters:

  | bsRoot | - root of panel
  | bsAspect | - name of panel aspect
  | bState | - 0 if the panel aspect is not exported, 1 if the panel aspect is exported
  | lExportLevel | - number represents panel aspect export level.

See also:
  GetPanelExportInfo

HRESULT IRiStackView::GetPanelExportInfo | ( | [in] BSTR | bsRoot,
|  | [in] RtUlong | uAspect,
|  | [out, retval] VARIANT * | pvRetInfo |
| ) |  |  |

Get Panel Export Info informations of panel specified by bsRoot parameter, and aspect index

Parameters:

  | bsRoot | - root of panel
  | uAspect | - name of panel aspect
  | pvRetInfo | - Returns filled IRsReturn object with 2 parameters: UiExportInfoState - 0 if the panel aspect is not exported, 1 if the panel aspect is exported UiExportInfoExportLevel - number represents panel aspect export level

See also:
  SetPanelExportInfo